Get Issuer

GEThttps://sandbox-api.truthlocks.com/v1/issuers/{issuer_id}Auth required

Retrieves details of a specific issuer by their unique ID.

Path Parameters

issuer_idstringrequired

The UUID of the issuer to retrieve

Defaults to 550e8400-e29b-41d4-a716-446655440000

Responses

{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "tenant_id": "tenant-uuid",
  "name": "Acme University",
  "domain": "acme.edu",
  "status": "APPROVED",
  "trust_level": "VERIFIED",
  "keys": [
    {
      "kid": "ed-key-1",
      "algorithm": "Ed25519",
      "status": "ACTIVE",
      "created_at": "2026-01-10T00:00:00Z"
    }
  ],
  "created_at": "2026-01-01T12:00:00Z",
  "updated_at": "2026-01-13T12:00:00Z"
}
GET/v1/issuers/{issuer_id}
Language
CredentialsHEADER
Authorization
cURL Request
Examples ▾
curl --request GET \
  --url https://sandbox-api.truthlocks.com/v1/issuers/550e8400-e29b-41d4-a716-446655440000 \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --data '{}'
Response

Click Try It! to send a real request, or view sample responses: